How to install with nginx, php 7 and mariadb 10.1? | Support | Forum

Please consider registering
Guest

Search

— Forum Scope —






— Match —





— Forum Options —





Minimum search word length is 3 characters - maximum search word length is 84 characters

Register Lost password?
sp_Feed sp_TopicIcon
How to install with nginx, php 7 and mariadb 10.1?
Profile photo of gokuraku
gokuraku
New Member
Members
Forum Posts: 2
Member Since:
August 10, 2016
sp_UserOfflineSmall Offline
1
January 14, 2017 - 7:56 am
sp_Permalink sp_Print sp_EditHistory

Hello,

I would like to use Kliqqi 3.5.2 on CentOS 7 with nginx, php7 and mariadb.

However, I can not install to the server.
I found white page after click on Step 2 of installation.

On the Troubleshooter, I found error as follows,
Warning: Your server has only met 23 of the 24 requirements to run Kliqqi CMS
MySQL Version (0)

Could you give me any advices?

Profile photo of RedWine
RedWine
Member
Forum Posts: 549
Member Since:
January 6, 2016
sp_UserOfflineSmall Offline
2
January 14, 2017 - 3:32 pm
sp_Permalink sp_Print sp_EditHistory

Kliqqi is not yet compatible with php 7. As a matter of fact, most web applications aren't yet!

The Kliqqi CMS uses MySQL and not MariaDB!

As for nginx, we have some work done that was presented by one of the users here and we still have some things to do before we implemented. It will be in fro the next release.

Profile photo of palPalani
palPalani
New Member
Members
Forum Posts: 1
Member Since:
October 10, 2016
sp_UserOfflineSmall Offline
3
January 20, 2017 - 9:32 am
sp_Permalink sp_Print sp_EditHistory

I have done the following changes and works for me, but i didn't tested all the features.

1. Replacing db.php, ez_sql_core.php with mysqli (https://github.com/ezSQL/ezSQL) file.

2. Also need to replace php4 style constructor - https://wiki.php.net/rfc/remove_php4_constructors

Also no problem with MariaDB, because which is drop-in replacement of MySql.

Profile photo of gokuraku
gokuraku
New Member
Members
Forum Posts: 2
Member Since:
August 10, 2016
sp_UserOfflineSmall Offline
4
February 4, 2017 - 9:16 am
sp_Permalink sp_Print

Thank you for your reply.
But, I can't.

I will wait new version of kliqqi, which is work well with php7 and mariadb.

Profile photo of RedWine
RedWine
Member
Forum Posts: 549
Member Since:
January 6, 2016
sp_UserOfflineSmall Offline
5
February 4, 2017 - 9:19 am
sp_Permalink sp_Print

You must have an option in your cPanel to change the php version to 5.6

a version of Php 7 is not in the near future; it needs a lot of work to make sure everything is converted properly!!!

Profile photo of Mohammad
Mohammad
Member
Members
Forum Posts: 3
Member Since:
June 13, 2017
sp_UserOfflineSmall Offline
6
June 13, 2017 - 2:11 am
sp_Permalink sp_Print

Hi,
This problem was solved for me in php v5.6
Thanks @RedWine

Forum Timezone: America/New_York

Most Users Ever Online: 27

Currently Online:
4 Guest(s)

Currently Browsing this Page:
1 Guest(s)

Top Posters:

Adam Burton: 103

DrCrash: 74

cyrus: 56

lipsmega: 45

Steven: 36

Newest Members:

LordWard

Demian

Jeff

jkctechnosoft Pvt Ltd

Marjun Guindulman

tonyzhang

Ali Raza Janjua

Rajat Jangra

aldimut

Rakshith

Forum Stats:

Groups: 1

Forums: 8

Topics: 290

Posts: 1592

 

Member Stats:

Guest Posters: 2

Members: 1061

Moderators: 2

Admins: 1

Administrators: ChuckRoast

Moderators: Kshitij Kumar, Mthobisi